#ifndef _LEVEL_H_
#define _LEVEL_H_

//Header file containing level structures, function declarations and level specific definitions.

#include <header.h>

typedef struct {
    int maxhits;
    int maxmisses;
    int hits;
    int misses;
    int win;
    int lose;
}level;

//Unload Level
void unload_level(level *givlevel);

//Create Level
level *create_level();

//Unload all Levels
void unload_levels();

//Load all Levels
int load_levels();

#endif //_LEVEL_H_
