#ifndef _LOG_H_
#define _LOG_H_

//Header file containing useful logging function declarations.

#include <header.h>

//Log filename; set to "stdout" for stdout and "stderr" for stderr output.
#define LOGFILE "gamelog.txt"

//Logging functions

//Output a newline
int log_newline();

//printf like function to write to log
int log_printf(char *format, ...);

//Closes logging system. 
void quit_log();

//Initializes logging system. 
int init_log();

#endif //_LOG_H_
