//Source file for Usual Game States.

#include <header.h>
#include <game.h>
#include <global.h>
#include <gamestate.h>
#include <log.h>

//Usual Init
int usual_init(){
	return 0;
}

//Usual Logic
void usual_logic(){	
}

//Usual Input
void usual_input(){
	int k=-1;
	if(!keypressed()) return;

	k=readkey(); k>>=8;
	if(k==KEY_ESC) terminate_state_loop();
	else if(k==KEY_ENTER) state_switch(oldstate);
}

//Usual Render
void usual_render(){
	textprintf_ex(dbuffer,font,(xres>>1)-196,(yres>>1)-4,makecol(255,0,0),-1,"State Not Implemented: Press ENTER to Revert, ESC to Quit.");
}

//Usual Quit
void usual_quit(){
}
