#ifndef _FIREPARTICLE_H_
#define	_FIREPARTICLE_H_

#define FIRE_SIZES 3
#define FIRE_PARTICLES   8
#define FIRE_LIFETIME    40
#define FIRE_MAXLIFETIME 30
#define FIRE_PARTUP     0
#define FIRE_PARTDOWN   1

typedef struct {
    int x,y,z;
    int vx,vy,vz;
    int ax,ay,az;
    int finy;
    int dir;
    int angle;
    int size;
    int timer;
} fireparticleinfo;

void fireinit();
void fireupdate();
void firespawn();
void firesort();
void firedraw();

#endif	//_FIREPARTICLE_H_

