//Source file for Game.

#include <game.h>
#include <onetime.h>
#include <gamestate.h>

//Game Timer
int game_timer=0;

//Game Initialization
int game_init(){
	int status=-1;
	if(status=load_data_onetime()) return status;	
        game_timer=0;
	state_switch(GAME_SPLASH); //Kinda screws it up :)
	return 0;
}

//Game Quit
void game_quit(){
	state_quit();
	unload_data_onetime();
}

//Game Input
void game_input(){
	state_input();
}

//Game Logic
void game_logic(){
	state_logic();
        ++game_timer;
}

//Game Render
void game_render(){
	state_render();
}
